require 'gem2deb/rake/spectask'
require 'gem2deb/rake/testtask'


EXCLUDED_TESTS=['nanoc/test/filters/test_markaby.rb',
                'nanoc/test/filters/test_rainpress.rb']


Gem2Deb::Rake::TestTask.new(:test_all) do |t|
  t.libs = ['nanoc/test']
  t.test_files = FileList['nanoc/test/**/*_spec.rb'] + FileList['nanoc/test/**/test_*.rb']-EXCLUDED_TESTS
end


Gem2Deb::Rake::RSpecTask.new(:spec) do |spec|
  spec.pattern = './nanoc/spec/**/*_spec.rb'
  spec.exclude_pattern = './nanoc/spec/nanoc/{filters/less_spec.rb,cli/commands/view_spec.rb}'
  spec.rspec_opts = '-r ./nanoc/spec/spec_helper.rb --color'
end


#task default: [:test_all, :spec]
task default: [:spec]
